Oracle Primavera Gateway Multiple Vulnerabilities (Jul 2019 CPU)

High Nessus Plugin ID 126828

Synopsis

An application running on the remote web server is affected by multiple vulnerabilities.

Description

According to its self-reported version number, the Oracle Primavera Gateway installation running on the remote web server is 15.x prior to 15.2.16, 16.x prior to 16.2.9, 17.x prior to 17.12.4, or 18.x prior to 18.8.6. It is, therefore, affected by multiple vulnerabilities:

- An unspecified vulnerability in the Spring Framework, version 5.1, versions 5.0.x prior to 5.0.10, versions 4.3.x prior to 4.3.20, and older unsupported versions on the 4.2.x branch allows an a malicious user to add a range header with a high number of ranges, or with wide ranges that overlap, or both, to cause a denial of service. (CVE-2018-15756)

- FasterXML jackson-databind 2.x before 2.9.8 might allow attackers to have unspecified impact by leveraging failure to block the axis2-transport-jms class from polymorphic deserialization. (CVE-2018-19360)

- FasterXML jackson-databind 2.x before 2.9.8 might allow attackers to have unspecified impact by leveraging failure to block the openjpa class from polymorphic deserialization. (CVE-2018-19361)

- FasterXML jackson-databind 2.x before 2.9.8 might allow attackers to have unspecified impact by leveraging failure to block the jboss-common-core class from polymorphic deserialization. (CVE-2018-19362)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Oracle Primavera Gateway version 15.2.16 / 16.2.9 / 17.12.4 / 18.8.6 or later.

See Also

http://www.nessus.org/u?25a1b782

http://www.nessus.org/u?b5f18b61

Plugin Details

Severity: High

ID: 126828

File Name: oracle_primavera_gateway_cpu_jul_2019.nasl

Version: 1.1

Type: remote

Family: CGI abuses

Published: 2019/07/19

Updated: 2019/07/19

Dependencies: 101902

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2018-19362

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: x-cpe:/a:oracle:primavera_gateway

Required KB Items: installed_sw/Oracle Primavera Gateway

Patch Publication Date: 2019/07/16

Vulnerability Publication Date: 2019/07/16

Reference Information

CVE: CVE-2018-15756, CVE-2018-19360, CVE-2018-19361, CVE-2018-19362

BID: 105703, 107985